<script lang="ts">
  // Define props
  export let extraClasses: string = '';
</script>

<button
  on:click
  type="button"
  class="float-right -mr-2 -mt-2 mb-2 ml-2 inline-flex h-8 w-8 items-center justify-center rounded-lg bg-transparent text-slate-400 hover:bg-rose-200 hover:text-rose-600 {extraClasses}"
>
  <svg class="h-5 w-5" aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24"
    ><path
      fill="none"
      stroke="currentColor"
      stroke-linecap="round"
      stroke-linejoin="round"
      stroke-width="2"
      d="M18 6L6 18M6 6l12 12"
    /></svg
  >
  <span class="sr-only">Verwijder</span>
</button>
